REM Create a 512K file consisting of 128 banks of 4K
REM -----------------------------------------------

REM This batch file creates a 512K file consisting of 128 4K banks (0-127).
REM This 512K file can be used for testing purposes with the Bally/
REM Astrocade Flash Cart by Steve Tucker.


REM Temp File Creation - Part 1 of 8
REM --------------------------------
REM   Create four temp files for Banks 1-15.
REM
copy /b bank_000.bin+bank_001.bin+bank_002.bin+bank_003.bin temp00.bin
copy /b bank_004.bin+bank_005.bin+bank_006.bin+bank_007.bin temp01.bin
copy /b bank_008.bin+bank_009.bin+bank_010.bin+bank_011.bin temp02.bin
copy /b bank_012.bin+bank_013.bin+bank_014.bin+bank_015.bin temp03.bin

REM Temp File Creation - Part 2 of 8
REM --------------------------------
REM   Create four temp files for Banks 16-31.
REM
copy /b bank_016.bin+bank_017.bin+bank_018.bin+bank_019.bin temp04.bin
copy /b bank_020.bin+bank_021.bin+bank_022.bin+bank_023.bin temp05.bin
copy /b bank_024.bin+bank_025.bin+bank_026.bin+bank_027.bin temp06.bin
copy /b bank_028.bin+bank_029.bin+bank_030.bin+bank_031.bin temp07.bin

REM Temp File Creation - Part 3 of 8
REM --------------------------------
REM   Create four temp files for Banks 32-47.
REM
copy /b bank_032.bin+bank_033.bin+bank_034.bin+bank_035.bin temp08.bin
copy /b bank_036.bin+bank_037.bin+bank_038.bin+bank_039.bin temp09.bin
copy /b bank_040.bin+bank_041.bin+bank_042.bin+bank_043.bin temp10.bin
copy /b bank_044.bin+bank_045.bin+bank_046.bin+bank_047.bin temp11.bin

REM Temp File Creation - Part 4 of 8
REM --------------------------------
REM   Create four temp files for Banks 48-63
REM
copy /b bank_048.bin+bank_049.bin+bank_050.bin+bank_051.bin temp12.bin
copy /b bank_052.bin+bank_053.bin+bank_054.bin+bank_055.bin temp13.bin
copy /b bank_056.bin+bank_057.bin+bank_058.bin+bank_059.bin temp14.bin
copy /b bank_060.bin+bank_061.bin+bank_062.bin+bank_063.bin temp15.bin


REM Temp File Creation - Part 5 of 8
REM --------------------------------
REM   Create four temp files for Banks 64-79
REM
copy /b bank_064.bin+bank_065.bin+bank_066.bin+bank_067.bin temp16.bin
copy /b bank_068.bin+bank_069.bin+bank_070.bin+bank_071.bin temp17.bin
copy /b bank_072.bin+bank_073.bin+bank_074.bin+bank_075.bin temp18.bin
copy /b bank_076.bin+bank_077.bin+bank_078.bin+bank_079.bin temp19.bin

REM Temp File Creation - Part 6 of 8
REM --------------------------------
REM   Create four temp files for Banks 80-95
REM
copy /b bank_080.bin+bank_081.bin+bank_082.bin+bank_083.bin temp20.bin
copy /b bank_084.bin+bank_085.bin+bank_086.bin+bank_087.bin temp21.bin
copy /b bank_088.bin+bank_089.bin+bank_090.bin+bank_091.bin temp22.bin
copy /b bank_092.bin+bank_093.bin+bank_094.bin+bank_095.bin temp23.bin

REM Temp File Creation - Part 7 of 8
REM --------------------------------
REM   Create four temp files for Banks 96-111
REM
copy /b bank_096.bin+bank_097.bin+bank_098.bin+bank_099.bin temp24.bin
copy /b bank_100.bin+bank_101.bin+bank_102.bin+bank_103.bin temp25.bin
copy /b bank_104.bin+bank_105.bin+bank_106.bin+bank_107.bin temp26.bin
copy /b bank_108.bin+bank_109.bin+bank_110.bin+bank_111.bin temp27.bin

REM Temp File Creation - Part 8 of 8
REM --------------------------------
REM   Create four temp files for Banks 112-
REM
copy /b bank_112.bin+bank_113.bin+bank_114.bin+bank_115.bin temp28.bin
copy /b bank_116.bin+bank_117.bin+bank_118.bin+bank_119.bin temp29.bin
copy /b bank_120.bin+bank_121.bin+bank_122.bin+bank_123.bin temp30.bin
copy /b bank_124.bin+bank_125.bin+bank_126.bin+bank_127.bin temp31.bin

REM Merge the 32 16K temp files down to 8 64K files
REM -----------------------------------------------

copy /b temp00.bin+temp01.bin+temp02.bin+temp03.bin tempA0.bin
copy /b temp04.bin+temp05.bin+temp06.bin+temp07.bin tempA1.bin
copy /b temp08.bin+temp09.bin+temp10.bin+temp11.bin tempA2.bin
copy /b temp12.bin+temp13.bin+temp14.bin+temp15.bin tempA3.bin

copy /b temp16.bin+temp17.bin+temp18.bin+temp19.bin tempA4.bin
copy /b temp20.bin+temp21.bin+temp22.bin+temp23.bin tempA5.bin
copy /b temp24.bin+temp25.bin+temp26.bin+temp27.bin tempA6.bin
copy /b temp28.bin+temp29.bin+temp30.bin+temp31.bin tempA7.bin


REM Merge the 8 64K temp files down to 2 256K files
REM -----------------------------------------------

copy /b tempA0.bin+tempA1.bin+tempA2.bin+tempA3.bin tempB0.bin
copy /b tempA4.bin+tempA5.bin+tempA6.bin+tempA7.bin tempB1.bin

REM Merge the 2 128K temp files down to the final 512K file
REM ------------------------------------------------------

copy /b tempB0.bin+tempB1.bin Flash512.bin


REM Delete temp files
REM -----------------

del temp*.bin
